package testfactorymethod;
import java.sql.SQLException;

public class DaoFactoryJDBC implements DaoFactory {
    
    private static DaoFactoryJDBC instance = null;
    
    public static DaoFactoryJDBC getInstance() {
        if(instance == null)
            instance = new DaoFactoryJDBC();
        return instance;
    }
    
    public FuncionarioDAO makeFuncionarioDAO() {
        try{
            return new FuncDaoJDBC();
        } catch(SQLException e){
            System.out.println("Não foi possível gerar o objeto");
        }
        return null;
    }
    
}
